---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterreachobj001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2320, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x56150, symBinAddr: 0x9200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x58090, symBinAddr: 0xB140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x58480, symBinAddr: 0xB530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x59420, symBinAddr: 0xC4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x59430, symBinAddr: 0xC4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55DB0, symBinAddr: 0x90A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55DB4, symBinAddr: 0x90A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55DB8, symBinAddr: 0x90A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55F10, symBinAddr: 0x90B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55FC8, symBinAddr: 0x9168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x55FCC, symBinAddr: 0x916C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55FD0, symBinAddr: 0x9170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55FD4, symBinAddr: 0x9174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55FD8, symBinAddr: 0x9178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55FE0, symBinAddr: 0x9180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55FF0, symBinAddr: 0x9190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55FF8, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x56000, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x56008, symBinAddr: 0x91A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x56010, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x56018, symBinAddr: 0x91B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL4info, symObjAddr: 0x5605C, symBinAddr: 0x91CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL12objectsCount, symObjAddr: 0x56060, symBinAddr: 0x91D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x56068, symBinAddr: 0x91D8, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x56070, symBinAddr: 0x91E0, symSize: 0x0 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: __ZL13userDataError, symObjAddr: 0x56074, symBinAddr: 0x91E4, symSize: 0x0 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x56078, symBinAddr: 0x91E8, symSize: 0x0 }
  - { offsetInCU: 0x959A, offset: 0x959A, size: 0x8, addend: 0x0, symName: __ZL11chainLength, symObjAddr: 0x56080, symBinAddr: 0x91F0, symSize: 0x0 }
  - { offsetInCU: 0x95EC, offset: 0x95EC, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xEE0, symSize: 0x80 }
  - { offsetInCU: 0x9681, offset: 0x9681, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xE30, symSize: 0xB0 }
  - { offsetInCU: 0x96DC, offset: 0x96DC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xD30, symSize: 0x100 }
  - { offsetInCU: 0x996F, offset: 0x996F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xF60, symSize: 0xC0 }
  - { offsetInCU: 0x99C1, offset: 0x99C1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1020, symSize: 0x220 }
  - { offsetInCU: 0x9BA6, offset: 0x9BA6, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1240, symSize: 0xA0 }
  - { offsetInCU: 0x9C59, offset: 0x9C59, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x12E0, symSize: 0x110 }
  - { offsetInCU: 0x9D4F, offset: 0x9D4F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x13F0, symSize: 0x150 }
  - { offsetInCU: 0x9EAC, offset: 0x9EAC, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1540, symSize: 0x30 }
  - { offsetInCU: 0x9F55, offset: 0x9F55, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1570, symSize: 0x150 }
  - { offsetInCU: 0xA14D, offset: 0xA14D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x16C0, symSize: 0x160 }
  - { offsetInCU: 0xA40D, offset: 0xA40D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1820, symSize: 0x4A0 }
  - { offsetInCU: 0xA6A6, offset: 0xA6A6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x1CC0, symSize: 0xE0 }
  - { offsetInCU: 0xA766, offset: 0xA766, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1DA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA981, offset: 0xA981, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1F50, symSize: 0xA0 }
  - { offsetInCU: 0xAA7C, offset: 0xAA7C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1FF0, symSize: 0x20 }
  - { offsetInCU: 0xAAB3, offset: 0xAAB3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2010, symSize: 0x20 }
  - { offsetInCU: 0xAAEA, offset: 0xAAEA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2030, symSize: 0x20 }
  - { offsetInCU: 0xAC59, offset: 0xAC59, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2050, symSize: 0x1A0 }
  - { offsetInCU: 0xAF75, offset: 0xAF75, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x21F0, symSize: 0x130 }
  - { offsetInCU: 0xB125, offset: 0xB125, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2590, symSize: 0x1B0 }
  - { offsetInCU: 0xB414, offset: 0xB414, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2740, symSize: 0x80 }
  - { offsetInCU: 0xB4DD, offset: 0xB4DD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x27C0, symSize: 0x6A0 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB1B0, symBinAddr: 0x4B00, symSize: 0xB0 }
  - { offsetInCU: 0xC0E9, offset: 0xC0E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2E60, symSize: 0x70 }
  - { offsetInCU: 0xC1A5, offset: 0xC1A5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2ED0, symSize: 0xA0 }
  - { offsetInCU: 0xC284, offset: 0xC284, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2F70, symSize: 0x40 }
  - { offsetInCU: 0xC37A, offset: 0xC37A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2FB0, symSize: 0x2B0 }
  - { offsetInCU: 0xC720, offset: 0xC720, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3260, symSize: 0xC0 }
  - { offsetInCU: 0xC866, offset: 0xC866, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3320, symSize: 0x10 }
  - { offsetInCU: 0xC928, offset: 0xC928, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3330, symSize: 0x220 }
  - { offsetInCU: 0xCC25, offset: 0xCC25, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3550, symSize: 0x10 }
  - { offsetInCU: 0xCC82, offset: 0xCC82, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3560, symSize: 0x370 }
  - { offsetInCU: 0xCFB7, offset: 0xCFB7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F80, symBinAddr: 0x38D0, symSize: 0x10 }
  - { offsetInCU: 0xD014, offset: 0xD014, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9F90, symBinAddr: 0x38E0, symSize: 0x1A0 }
  - { offsetInCU: 0xD14C, offset: 0xD14C, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA130, symBinAddr: 0x3A80, symSize: 0x230 }
  - { offsetInCU: 0xD2A9, offset: 0xD2A9, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA360, symBinAddr: 0x3CB0, symSize: 0x1A0 }
  - { offsetInCU: 0xD5FA, offset: 0xD5FA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA500, symBinAddr: 0x3E50, symSize: 0xCB0 }
  - { offsetInCU: 0xE558, offset: 0xE558, size: 0x8, addend: 0x0, symName: __ZL15getChainObjectsP9_jvmtiEnvP7JNIEnv_P8_jobjectP9_jfieldIDPKcS6_S8_iP16ObjectDescStructli, symObjAddr: 0xB5D0, symBinAddr: 0x4F20, symSize: 0x240 }
  - { offsetInCU: 0xE859, offset: 0xE859, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB260, symBinAddr: 0x4BB0, symSize: 0x370 }
...
